Bug 53149 - rpm crashes on rpm -qa and rpm --rebuilddb
rpm crashes on rpm -qa and rpm --rebuilddb
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-04 12:43 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 12:56:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-04 12:43:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010803

Description of problem:
rpm crashes on rpm -qa and rpm --rebuilddb with segmentation fault. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run rpm -qa
2. after long list of packages, rpm dies
3.
	

Additional info:
Comment 1 Need Real Name 2001-09-04 12:44:31 EDT
Update: this happened after update to rpm 4.0.2 (rpm-4.0.2-6x.src.rpm)
Comment 2 Jeff Johnson 2001-09-04 12:52:38 EDT
Try rpm-4.0.3-0.57.6x from ftp://ftp.rpm.org/pub/rpm/test-4.0.3
as many (all I've seen) segfaults from bad headers are fixed there.
Comment 3 Jeff Johnson 2002-06-21 15:50:26 EDT
Assuming problem fixed.

Note You need to log in before you can comment on or make changes to this bug.